# lib

open fun lib(@DelegatesTo(value = CopySpec::class, strategy = Closure.DELEGATE_FIRST) configureClosure: Closure): CopySpec

Adds dependency libraries to include in the 'lib' directory of the EAR archive.

The given closure is executed to configure a `CopySpec`. The CopySpec is passed to the closure as its delegate.

#### Return

The created `CopySpec`

#### Parameters

configureClosure

The closure.

open fun lib(configureAction: Action<in CopySpec>): CopySpec

Adds dependency libraries to include in the 'lib' directory of the EAR archive.

The given action is executed to configure a `CopySpec`.

#### Return

The created `CopySpec`

#### Since

3.5

#### Parameters

configureAction

The action.

@get:Internal
open val lib: CopySpec